<div class="wrap" id="schema-setting-wrapper">
	<h1><?php _e( "WP Schema & Structured Data", "fs-schema-wordpress" ) ?></h1>
	<hr class="wp-header-end">
  <p id="response"></p>
	<div class="schema-setting-inner">
		<form id="fs-advanced-setting" action="" method="post" novalidate="novalidate">
			<table class="form-table" width="40%">
        <tr>
          <th colspan="2">
            <h3><?php _e("Advanced setting", "fs-schema-wordpress") ?></h3>
          </th>
        </tr>
        <tr>
          <th>
            <?php _e( "Business Schema", "fs-schema-wordpress" ) ?>
          </th>
          <td>
            <?php $dd = ! empty( $settings['site_schema'] ) ? esc_attr($settings['site_schema']) : 'home_page'; ?>
            <input type="radio" <?php echo( $dd == 'home_page' ? 'checked' : null ); ?> name="site_schema" value="home_page" id="site_schema_home"><label for="site_schema_home"><?php _e( "Home page only", "fs-schema-wordpress" ) ?></label><br>
            <input type="radio" <?php echo( $dd == 'all' ? 'checked' : null ); ?> name="site_schema" value="all" id="site_schema_all"><label for="site_schema_all"><?php _e( "Sitewide (Apply General Settings schema sitewide)", "fs-schema-wordpress" ) ?></label><br>
            <input type="radio" <?php echo( $dd == 'off' ? 'checked' : null ); ?> name="site_schema" value="off" id="site_schema_off"><label for="site_schema_off"><?php _e( "Turn off (Turn off global schema)", "fs-schema-wordpress" ) ?></label>
          </td>
        </tr>
        <tr>
          <th>
            <?php _e( "Post Type", "fs-schema-wordpress" ) ?>
          </th>
          <td>
            <?php
            $fsSchemaFunction = new FSSC_SchemaFunction;
            $postTypes = $fsSchemaFunction->get_post_type_list();
            foreach ( $postTypes as $key => $value ) {
                $checked = '';
                if(!empty($settings['post_type']) && in_array($value, $settings['post_type'])){
                  $checked = 'checked=true';
                }  
                if( $value == 'post' || $value == 'page' ){
                  $checked = 'checked=true';
                }
                echo "<label for='pt-{$key}'><input id='pt-{$key}' name='post_type[]' type='checkbox' value='{$value}' {$checked} /> {$value}</label><br>";
            }
            ?>
          </td>
        </tr>
        <tr>
          <th><?php _e( "Delete all data", "fs-schema-wordpress" ) ?></th>
          <td align="left" scope="row">
            <?php $dd = ! empty( $settings['delete_data'] ) ? "checked" : null; ?>
            <input type="checkbox" <?php echo $dd; ?> name="delete_data" value="1" id="delete-data"><label for="delete-data"><?php _e( "Enable", "fs-schema-wordpress" ) ?></label>
            <p class="description"><?php _e( "This will delete all schema created and applied by this plugin when plugin is deleted.", "fs-schema-wordpress" ) ?></p>
          </td>
        </tr>
        <tr>
					<th>
            <?php _e( "YOAST SEO Default Schema JSON-LD", "fs-schema-wordpress" ) ?>
          </th>
          <td align="left" scope="row">
            <?php $dd = ! empty( $settings['yoast_wpseo_json_ld'] ) ? "checked" : null; ?>
            <input type="checkbox" <?php echo $dd; ?> name="yoast_wpseo_json_ld" value="1" id="yoast-wpseo-json-ld"><label for="yoast-wpseo-json-ld"><?php esc_html_e( "Disable", "fs-schema-wordpress" ) ?></label>
            <p class="description"><?php esc_html_e( "This will remove all default schema generated by Yoast SEO plugin.", "fs-schema-wordpress" ) ?></p>
          </td>
        </tr>
        <tr>
					<th>
            <?php _e( "YOAST SEO sitelinks searchbox", "fs-schema-wordpress" ) ?>
          </th>
          <td align="left" scope="row">
            <?php $dd = ! empty( $settings['yoast_wpseo_json_ld_search'] ) ? "checked" : null; ?>
            <input type="checkbox" <?php echo $dd; ?> name="yoast_wpseo_json_ld_search" value="1"
             id="yoast-wpseo-json-ld-search"><label
              for="yoast-wpseo-json-ld-search"><?php esc_html_e( "Disable", "fs-schema-wordpress" ) ?></label>
            <p class="description"><?php esc_html_e( "This will remove sitelinks searchbox generated by Yoast SEO plugin.", "fs-schema-wordpress" ) ?></p>
          </td>
        </tr>
        <tr>
					<th>
            <?php _e( "Woocommerce default schema", "fs-schema-wordpress" ) ?>
          </th>
          <td align="left" scope="row">
            <?php $dd = ! empty( $settings['wc_schema_disable'] ) ? "checked" : null; ?>
            <input type="checkbox" <?php echo $dd; ?> name="wc_schema_disable" value="1"
             id="wc-schema-disable"><label for="wc-schema-disable"><?php esc_html_e( "Disable", "fs-schema-wordpress" ) ?></label>
            <p class="description"><?php esc_html_e( "This will remove Woocommerce plugin generated schema.", "fs-schema-wordpress" ) ?></p>
          </td>
        </tr>
        <tr>
					<th>
            <?php _e( "Easy Digital Download default schema", "fs-schema-wordpress" ) ?>
          </th>
          <td align="left" scope="row">
            <?php $dd = ! empty( $settings['edd_schema_microdata'] ) ? "checked" : null; ?>
            <input type="checkbox" <?php echo $dd; ?> name="edd_schema_microdata" value="1" id="edd-schema-microdata"><label for="edd-schema-microdata"><?php esc_html_e( "Disable", "fs-schema-wordpress" ) ?></label>
            <p class="description"><?php esc_html_e( "This will remove Easy Digital Download plugin generated schema.", "fs-schema-wordpress" ) ?></p>
          </td>
        </tr>
			</table>
			<?php wp_nonce_field(); ?>
			<div class="fssc-form-submit">
				<input type="submit" name="submit" id="fsSave" class="button button-primary" value="<?php _e( 'Save Changes', 'fs-schema-wordpress' ) ?>" />
        <img src="<?php echo FSSC_BASE_URL.'assets/img/Dual Ring-1s-200px.gif'; ?>" width="58" class="loader-img" />
			</div>
		</form>
	</div>
</div>